**Thank you for using Lock!**

In order to efficiently and accurately address your issue or feature request, please read through the template below and answer all relevant questions. Your additional work here is greatly appreciated and will help us respond as quickly as possible. Please delete any sections or questions below that do not pertain to this request.

For general support or usage questions, please use the [Auth0 Community](https://community.auth0.com/) or [Auth0 Support](https://support.auth0.com.).

### Description

Description of the bug or feature request and why it's a problem. Consider including:

- The use case or overall problem you're trying to solve
- Information about when the problem started

### Prerequisites

* [ ] I have read the [Auth0 general contribution guidelines](https://github.com/auth0/open-source-template/blob/master/GENERAL-CONTRIBUTING.md)
* [ ] I have read the [Auth0 Code of Conduct](https://github.com/auth0/open-source-template/blob/master/CODE-OF-CONDUCT.md)
* [ ] Did you check the documentation in the [README](https://github.com/auth0/lock) or on [our docs site](https://auth0.com/docs/libraries/lock/v11)?
* [ ] Did you check the [Auth0 Community](https://community.auth0.com/)?
* [ ] Are you reporting this to the correct repository?
* [ ] Are there any related or duplicate [Issues](https://github.com/auth0/lock/issues) or [PRs](https://github.com/auth0/lock/pulls) for this issue?

### Environment

Please provide the following:

* Lock version:
* Browser version:
* OS:
* Additional extensions/libraries that might be affecting your instance:

### Reproduction

Detail the steps taken to reproduce this error and note if this issue can be reproduced consistently or if it is intermittent.

Please include:

- Code snippet or sample project that reproduces the bug
- Application settings (redact/remove sensitive information)
- Screenshots, if helpful
